> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ponto-on.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bater Ponto (Funcionário)

> Bater Ponto (Funcionário)



## OpenAPI

````yaml post /registropontos
openapi: 3.0.3
info:
  title: PontoOn
  version: 1.0.0
  contact: {}
servers:
  - url: https://api-hml.ponto-on.com
security: []
tags:
  - name: Private (Admin)
  - name: Endpoints para Empresas
  - name: Endpoints para Funcionários
  - name: Auth Empresas e Admins
paths:
  /registropontos:
    post:
      tags:
        - Endpoints para Funcionários
      summary: Bater Ponto (Funcionário)
      description: Bater Ponto (Funcionário)
      operationId: baterPontoFuncionRio
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                endereco:
                  type: string
                  example: Rua teste da silva
                funcionarioId:
                  type: number
                  example: 1
            examples:
              Bater Ponto (Funcionário):
                value:
                  endereco: Rua teste da silva
                  funcionarioId: 1
      responses:
        '200':
          description: https://api-hml.ponto-on.com/registropontos
          content:
            application/json:
              schema:
                type: object
                properties:
                  dataSolicitar:
                    nullable: true
                    example: null
                  funcionario:
                    type: object
                    properties:
                      ativo:
                        type: boolean
                        example: true
                      cargo:
                        type: string
                        example: Desenvolvedor fraco
                      cidade:
                        nullable: true
                        example: null
                      clt:
                        type: boolean
                        example: false
                      codeMatricula:
                        nullable: true
                        example: null
                      codeVerify:
                        type: string
                        example: >-
                          $2a$12$IS5m4zyqfAJtISiXGiGiQeuAMHw4LFutmCBpCrtZwklcCkXLfVY1a
                      cpfcnpj:
                        type: string
                        example: 123.456.789-01
                      dataAdmissao:
                        nullable: true
                        example: null
                      dataNascimento:
                        type: string
                        example: '1990-01-01T00:00:00.000Z'
                      deviceToken:
                        nullable: true
                        example: null
                      email:
                        type: string
                        example: funcionario@email.com
                      endereco:
                        type: string
                        example: Rua Gumercindo Pereira dos Santos
                      fotoProfile:
                        nullable: true
                        example: null
                      horarioTrabalho:
                        type: number
                        example: 9
                      id:
                        type: number
                        example: 1
                      nispis:
                        nullable: true
                        example: null
                      nome:
                        type: string
                        example: teste dos testes
                      pj:
                        type: boolean
                        example: false
                      registrosPonto:
                        type: array
                        items:
                          type: object
                          properties:
                            dataSolicitar:
                              type: string
                              nullable: true
                              example: null
                            horarioRegistro:
                              type: string
                              example: '2024-02-12T05:20:29.000Z'
                            houveReajuste:
                              type: boolean
                              nullable: true
                              example: null
                            id:
                              type: number
                              example: 46
                            localizacao:
                              type: string
                              example: '-8.2936035, -35.955603'
                            motivoAjuste:
                              type: string
                              nullable: true
                              example: null
                            status:
                              type: string
                              example: aprovado automaticamente
                            tipo:
                              type: string
                              example: almoço
                        example:
                          - dataSolicitar: null
                            horarioRegistro: '2024-02-12T05:20:29.000Z'
                            houveReajuste: null
                            id: 46
                            localizacao: '-8.2936035, -35.955603'
                            motivoAjuste: null
                            status: aprovado automaticamente
                            tipo: almoço
                          - dataSolicitar: '2024-02-12T17:00:00.000Z'
                            horarioRegistro: '2024-02-12T01:53:58.000Z'
                            houveReajuste: true
                            id: 45
                            localizacao: '-8.2936035, -35.955603'
                            motivoAjuste: Esqueci de registrar
                            status: ajuste aprovado pela empresa
                            tipo: entrada
                      role:
                        type: string
                        example: funcionario
                      sentimento:
                        type: string
                        example: Neutro
                      sobreaviso:
                        type: boolean
                        example: false
                      telefone:
                        type: string
                        example: '31996745309'
                      uf:
                        nullable: true
                        example: null
                      valorHora:
                        nullable: true
                        example: null
                  horarioRegistro:
                    type: string
                    example: '2024-02-12T05:40:24.000Z'
                  houveReajuste:
                    nullable: true
                    example: null
                  id:
                    type: number
                    example: 47
                  localizacao:
                    type: string
                    example: '-8.9999999, -35.999999'
                  motivoAjuste:
                    nullable: true
                    example: null
                  status:
                    type: string
                    example: aprovado automaticamente
                  tipo:
                    type: string
                    example: retorno almoço
              examples:
                https://api-hml.ponto-on.com/registropontos:
                  value:
                    dataSolicitar: null
                    funcionario:
                      ativo: true
                      cargo: Desenvolvedor fraco
                      cidade: null
                      clt: false
                      codeMatricula: null
                      codeVerify: >-
                        $2a$12$IS5m4zyqfAJtISiXGiGiQeuAMHw4LFutmCBpCrtZwklcCkXLfVY1a
                      cpfcnpj: 123.456.789-01
                      dataAdmissao: null
                      dataNascimento: '1990-01-01T00:00:00.000Z'
                      deviceToken: null
                      email: funcionario@email.com
                      endereco: Rua Gumercindo Pereira dos Santos
                      fotoProfile: null
                      horarioTrabalho: 9
                      id: 1
                      nispis: null
                      nome: teste dos testes
                      pj: false
                      registrosPonto:
                        - dataSolicitar: null
                          horarioRegistro: '2024-02-12T05:20:29.000Z'
                          houveReajuste: null
                          id: 46
                          localizacao: '-8.2936035, -35.955603'
                          motivoAjuste: null
                          status: aprovado automaticamente
                          tipo: almoço
                        - dataSolicitar: '2024-02-12T17:00:00.000Z'
                          horarioRegistro: '2024-02-12T01:53:58.000Z'
                          houveReajuste: true
                          id: 45
                          localizacao: '-8.2936035, -35.955603'
                          motivoAjuste: Esqueci de registrar
                          status: ajuste aprovado pela empresa
                          tipo: entrada
                      role: funcionario
                      sentimento: Neutro
                      sobreaviso: false
                      telefone: '31996745309'
                      uf: null
                      valorHora: null
                    horarioRegistro: '2024-02-12T05:40:24.000Z'
                    houveReajuste: null
                    id: 47
                    localizacao: '-8.9999999, -35.999999'
                    motivoAjuste: null
                    status: aprovado automaticamente
                    tipo: retorno almoço
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````